# \Thelia\CoreApplication

## Summary

Methods
Properties
Constants
__construct()
getKernel()
getContainer()
doRun()
$kernel
No constants found
registerCommands()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/Application.php
Package
  \Default
Class hierarchy
  \Symfony\Component\Console\Application
  \Thelia\Core\Application

## Tags

None found

## Properties

### $kernel

    $kernel

#

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\HttpKernel\KernelInterface $kernel)

#### Parameters

\Symfony\Component\HttpKernel\KernelInterface | $kernel |

#

## Tags

None found

### getKernel()

    getKernel()

#

## Tags

None found

### getContainer()

    getContainer()

#

## Tags

None found

### doRun()

    doRun(\Symfony\Component\Console\Input\InputInterface $input, \Symfony\Component\Console\Output\OutputInterface $output)

#### Parameters

\Symfony\Component\Console\Input\InputInterface | $input |
\Symfony\Component\Console\Output\OutputInterface | $output |

#

## Tags

None found

### registerCommands()

    registerCommands()

#

## Tags

None found

### Application.php